;	VDI-Aufruf in Assembler
;	void __stdargs vdi_call(long);

					CSECT text
					
					XDEF _vdi_call
					XREF _vdipb
					
_vdi_call:			move.l	_vdipb,a0
					move.l	a0,d1
					move.l	(a0),a0		;contrl
					moveq	#0,d0
					lea		4(sp),a1
					move.b	(a1)+,d0	;opcode
					move.w	d0,(a0)+
					move.b	(a1)+,d0	;ptsin_len
					move.w	d0,(a0)+
					move.b	(a1)+,d0	;intin_len
					move.w	d0,2(a0)
					move.b	(a1),d0		;subopcode
					move.w	d0,6(a0)
					move.w	#115,d0
					trap	#2
					rts
					
					END